#include "transl.h"
#include "Variant.h"

void Translator::RegisterNewLanguage(r3d_Variant::String name) {
	std::unordered_map<r3d_Variant::String, r3d_Variant::String> newLanguage;
	languages.insert({ name, newLanguage });
}

void Translator::RegisterTranslatableObject(r3d_Variant::String key, r3d_Variant::String language, r3d_Variant::String value) {
	if (language.find(language)) {
		languages[language].insert({key, value});
	}
}